/*  Custom Quest Set Generator - Prototype of fonction.c.

    Copyright (C) 2010-2011 Tartine

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef FONCTION_H_INCLUDED
#define FONCTION_H_INCLUDED

void quit(void);
void combo_box_clear (GtkComboBox *p_combo_box);
void aff_cotte(GtkComboBox* data);
void aff_gants(GtkComboBox* data);
void aff_taille(GtkComboBox* data);
void aff_jambes(GtkComboBox* data);
void aff_casque(GtkComboBox* data);
void aff_objets(GtkComboBox* data);
void aff_arme(GtkWidget* widget, gpointer data);
void print_cotte(GtkWidget* widget, gpointer part);
void print_gants(GtkWidget* widget, gpointer part);
void print_taille(GtkWidget* widget, gpointer part);
void print_jambes(GtkWidget* widget, gpointer part);
void print_casque(GtkWidget* widget, gpointer part);
void print_arme(GtkWidget* widget, gpointer part);
void print_objet(GtkWidget* widget, gpointer data);
void count_obj(GtkWidget* widget, gpointer data);
void print_nb(GtkWidget* widget, gpointer data);
void aff_joyau(GtkComboBox* data);

void quittem(gpointer data, guint callback_action,GtkWidget *widget);
void apropos(gpointer data, guint callback_action,GtkWidget *widget);
void aide(gpointer data, guint callback_action,GtkWidget *widget);
void done(GtkWidget *pBtn, gpointer data);

#endif // FONCTION_H_INCLUDED
